> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Join a Video Conference > Join a specific video conference. Rate limiting: 2 requests per 5000ms. This endpoint also allows anonymous access for guest users. Members of the conference can join it even without access to the conference's room. For providers that render the call embedded in Rocket.Chat, `url` is returned empty. ### Changelog | Version | Description | | ------- | ----------- | | 8.9.0 | Added `callId` and `rid`, and an empty `url` for embedded providers. | ## OpenAPI ````json POST /api/v1/video-conference.join { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Settings" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Settings" }, { "name": "Audit" }, { "name": "Cloud" }, { "name": "DNS" }, { "name": "E2E" }, { "name": "Import" }, { "name": "Bulk User Import" }, { "name": "Instances" }, { "name": "Federation" }, { "name": "Moderation" }, { "name": "Device Management" }, { "name": "Password policy" }, { "name": "Video Conference" }, { "name": "Media Calls" } ], "paths": { "/api/v1/video-conference.join": { "post": { "summary": "Join a Video Conference", "tags": [ "Video Conference" ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "url": { "type": "string", "description": "The URL to open the call. Empty for providers that render the call embedded in Rocket.Chat." }, "providerName": { "type": "string" }, "callId": { "type": "string", "description": "The video conference call ID." }, "rid": { "type": "string", "description": "The ID of the room the call belongs to." }, "success": { "type": "boolean" } } }, "examples": { "Example 1": { "value": { "url": "http://g.co/meet/RocketChat_697887e3c8b0533020781a4a", "providerName": "googlemeet", "callId": "697887e3c8b0533020781a4a", "rid": "68c8071650223764573dd2dc", "success": true } } } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" } } }, "examples": { "Example 1": { "value": { "success": false, "error": "must have required property 'callId' [invalid-params]", "errorType": "invalid-params" } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } }, "operationId": "post-api-v1-video-conference.join", "description": "Join a specific video conference. Rate limiting: 2 requests per 5000ms. This endpoint also allows anonymous access for guest users.\n\nMembers of the conference can join it even without access to the conference's room. For providers that render the call embedded in Rocket.Chat, `url` is returned empty.\n\n### Changelog\n| Version | Description |\n| ------- | ----------- |\n| 8.9.0 | Added `callId` and `rid`, and an empty `url` for embedded providers. |", "requestBody": { "content": { "application/json": { "schema": { "type": "object", "required": [ "callId" ], "properties": { "callId": { "type": "string", "example": "697887e3c8b0533020781a4a", "description": "Enter the video conference call ID that you want to join." }, "state": { "type": "object", "description": "Object containing initial device states.", "properties": { "mic": { "type": "boolean", "description": "Whether the microphone starts muted or unmuted." }, "cam": { "type": "boolean", "description": "Whether the camera starts enabled or disabled." } } } } }, "examples": { "Example 1": { "value": { "callId": "697887e3c8b0533020781a4a", "state": { "mic": true, "cam": true } } } } } } }, "parameters": [ { "$ref": "#/components/parameters/X-User-Id" }, { "$ref": "#/components/parameters/X-Auth-Token" } ] } } }, "components": { "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } }, "parameters": { "X-User-Id": { "name": "X-User-Id", "in": "header", "required": true, "schema": { "type": "string" }, "example": "CkCPNctrgCDfmWLqC", "description": "The user ID." }, "X-Auth-Token": { "name": "X-Auth-Token", "in": "header", "required": true, "schema": { "type": "string" }, "example": "1Dd4iN_ClKn5jl-xPC36snQ4s9Zd5GZnXCQuCNSKcVE", "description": "The authentication token." } } } } ````